#ifndef PIWINDOWX_H_SEEN
#define PIWINDOWX_H_SEEN

#include "piwindowgen.h"
#include "pisysdep.h"


class PIWindowX : public PIWindowGen {
public:
                         PIWindowX(PIMsgHandler *par, char *nom, PIWindowKind k=PIWK_normal,
                                   int sx=10, int sy=10, int px=0, int py=0);
  virtual                ~PIWindowX();
  
  virtual void           SetBinding(PIBindingKind left, PIBindingKind top, 
                                    PIBindingKind right, PIBindingKind bottom);
  virtual void           SetSize(int sx, int sy);
  virtual void           SetPos(int px, int py);  

  virtual void           Show();
  virtual void           Hide();

protected:
  PIWdgX   *pwm;

};

typedef PIWindowX PIWindow;

#endif   /* PIWINDOWX_H_SEEN  */
